Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(124)

Unified Diff: platform_tools/android/bin/android_kill_skia

Issue 15199005: Fix android_run_skia to work with multiple attached devices (Closed) Base URL: http://skia.googlecode.com/svn/trunk/
Patch Set: Created 7 years, 7 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | platform_tools/android/bin/android_run_skia » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: platform_tools/android/bin/android_kill_skia
===================================================================
--- platform_tools/android/bin/android_kill_skia (revision 9137)
+++ platform_tools/android/bin/android_kill_skia (working copy)
@@ -6,11 +6,28 @@
source $SCRIPT_DIR/utils/setup_adb.sh
+SERIAL=""
+
+while (( "$#" )); do
+
+ if [[ "$1" == "-s" ]];
+ then
+ if [[ $# -lt 2 ]];
+ then
+ echo "ERROR: missing serial number"
+ exit 1;
+ fi
+ SERIAL="-s $2"
+ shift
+ fi
+ shift
+done
+
if [ $(uname) == "Linux" ]; then
- $ADB shell ps | grep skia | awk '{print $2}' | xargs -r $ADB shell kill
+ $ADB $SERIAL shell ps | grep skia | awk '{print $2}' | xargs -r $ADB $SERIAL shell kill
elif [ $(uname) == "Darwin" ]; then
- $ADB shell ps | grep skia | awk '{print $2}' | xargs $ADB shell kill
+ $ADB $SERIAL shell ps | grep skia | awk '{print $2}' | xargs $ADB $SERIAL shell kill
else
echo "Could not automatically determine OS!"
exit 1;
-fi
+fi
« no previous file with comments | « no previous file | platform_tools/android/bin/android_run_skia » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698